%define pypi_name jmespath

Name:		python-%{pypi_name}
Summary:	JMESPath is a query language for JSON
Version: 	1.0.1
Release: 	%mkrel 4
License: 	Public Domain
Group:		Development/Python
URL:		https://github.com/jmespath/jmespath.py
Source:		%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)

%description
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%package -n python3-%{pypi_name}
Summary:	JMESPath is a query language for JSON
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jmespath

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%{_bindir}/jp.py


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-4.mga10
+ Revision: 2237093
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 daviddavid <daviddavid> 1.0.1-3.mga10
+ Revision: 2152647
- rebuild for python 3.13

* Thu Dec 21 2023 daviddavid <daviddavid> 1.0.1-2.mga10
+ Revision: 2020583
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.0.1-1.mga9
+ Revision: 1884891
- New version  	1.0.1

* Wed Mar 23 2022 umeabot <umeabot> 0.10.0-3.mga9
+ Revision: 1822523
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.10.0-2.mga9
+ Revision: 1774221
- Rebuild for python 3.10

* Sat Aug 14 2021 wally <wally> 0.10.0-1.mga9
+ Revision: 1741278
- new version 0.10.0

* Fri Mar 19 2021 daviddavid <daviddavid> 0.9.5-2.mga9
+ Revision: 1704750
- rebuild for python 3.9

* Sun Apr 19 2020 buchan <buchan> 0.9.5-1.mga8
+ Revision: 1569930
- Update to 0.9.5

* Sun Feb 16 2020 umeabot <umeabot> 0.9.4-3.mga8
+ Revision: 1532214
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 0.9.4-2.mga8
+ Revision: 1442262
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.9.4-1.mga7
+ Revision: 1393688
- new version 0.9.4
- fix descriptions
- pkg jp.py with both py2 and py3 pkgs

* Mon Jan 07 2019 shlomif <shlomif> 0.9.3-3.mga7
+ Revision: 1351465
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.3-2.mga7
+ Revision: 1289137
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 buchan <buchan> 0.9.3-1.mga7
+ Revision: 1217237
- imported package python-jmespath

